<?php
/* * **************************************************************************** */
//                          InstantCMS v1.10.3                                  //
//                      http://www.instantcms.ru/                               //
//                         filter f_module v1.0.0                               //
//                     written by Marat Fatikhov  aka Марат                     //
//                     http://www.instantcms.ru/users/marat                     //
//                       E-mail: f-marat@mail.ru                                //
//                                                                              //
//                      LICENSED BY GNU/GPL v2                                  //
//                                                                              //
/* * ***************************************************************************** */
Error_Reporting(E_ALL & ~E_NOTICE & ~E_WARNING);

    header('Content-Type: text/html; charset=utf-8');
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
    define("VALID_CMS", 1); 
  
    session_start();
    
//подключаем ядро и пр.
include('core/cms.php');
$inCore = cmsCore::getInstance();
$inDB = cmsDatabase::getInstance();
cmsCore::loadClass('user');
$inUser = cmsUser::getInstance();
$inUser->update();
//если не админ, нечего здесь делать
if(!$inUser->is_admin){    die('ДОСТУП ЗАПРЕЩЕН!'); }
//проверяем установлен ли фильтр
$is_installed = $inDB->get_field('cms_filters', "`link` = 'f_module'", 'id');

//если фильтр установлен, выводим сообщение и выходим
if($is_installed){
    echo '<div style="margin: 20px; padding: 10px; border: 1px red solid; border-radius: 8px; color: #f36223;">Фильтр уже установлен. 
         Удалите файл <b>f_module_install.php</b> в корне сайта.</div>';
    exit();
}

//устанавливаем фильтр
$insert = array('title'      => 'Вывод модуля',
                'description'=> 'Фильтр заменяет выражения вида {МОДУЛЬ=id_модуля} на результат работы данного модуля. 
                                 Шаблон замены может иметь вид {МОДУЛЬ=id_модуля&style=нужный_стиль_css&class=нужный_класс}.
                                 В параметрах style и class можно передавать нужные стили или класс для блока окружения.',
                'link'       => 'f_module',
                'published'  => 1);
$inDB->insert('cms_filters', $insert);

//выводим сообщение об успешности установки
echo '<div style="margin: 20px; padding: 10px; border: 1px green solid; border-radius: 8px; color: #0bda51;">Фильтр успешно установлен. 
       Удалите файл <b>f_module_install.php</b> в корне сайта.</div>';
?>
