<?php
/* * **************************************************************************** */
//                          InstantCMS v1.10.3                                  //
//                      http://www.instantcms.ru/                               //
//                         filter f_module v1.0.0                               //
//                     written by Marat Fatikhov  aka Марат                     //
//                     http://www.instantcms.ru/users/marat                     //
//                       E-mail: f-marat@mail.ru                                //
//                                                                              //
//                      LICENSED BY GNU/GPL v2                                  //
//                                                                              //
/* * ***************************************************************************** */
function f_module(&$text) {
    
    $phrase = 'МОДУЛЬ';

    if (mb_strpos($text, $phrase) === false) {
        return true;
    }

    //ищем совпадения шаблона
    $regex = '/{(' . $phrase . '=)(.*?)}/i';
    $matches = array();
    preg_match_all($regex, $text, $matches, PREG_SET_ORDER);
    if (!$matches) {
        return true;
    }


    foreach ($matches as $elm) {
        $elm[0] = str_replace('{', '', $elm[0]);
        $elm[0] = str_replace('}', '', $elm[0]);

        mb_parse_str($elm[0], $args);

        $module_id = @$args[$phrase]; 

        if ($module_id && is_numeric($module_id)) {                       
            
            $inPage = cmsPage::getInstance();
            
            //печатаем модуль и записываем результат в кеш
            ob_start();
            $inPage->printModule($module_id);
            $output = ob_get_clean();
            
            //обрабатываем параметры, если есть и заносиим в переменные
            $style = $args['style'] ? 'style="'.htmlspecialchars(strip_tags($args['style'])).'"' : '';
            $class = $args['class'] ? 'class="'.htmlspecialchars(strip_tags($args['class'])).'"' : '';
            
            //вставляем параметры в html
            $output = '<div '.$style.' '.$class.'>'.$output.'</div>';
            
        } else {
            $output = '';
        }
		//корректируем $regex, вставивь установленный идентефикатор модуля
		$regex = '/{(' . $phrase . '='.$module_id.')(.*?)}/i';
		
        //замена шаблона результатом работы модуля         
        $text = preg_replace($regex, $output, $text);
    }

    return true;
}

?>
